Bug 168207 - CAN-2005-2876 umount unsafe -r usage
CAN-2005-2876 umount unsafe -r usage
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: util-linux (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karel Zak
Ben Levenson
impact=moderate,public=20050913,sourc...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-13 11:24 EDT by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-14 06:26:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-09-13 11:24:25 EDT
+++ This bug was initially created as a clone of Bug #168206 +++

This issue was reported to bugtraq here:
http://marc.theaimsgroup.com/?l=bugtraq&m=112656096125857&w=2

The issue is that if a non root user is able to run umount -r, it is possible to
subvert the restrictions placed on a filesystem such as nosuid.
Comment 1 Josh Bressers 2005-09-13 11:25:15 EDT
This issue also affects FC3
Comment 2 Karel Zak 2005-09-14 06:26:35 EDT
Fixed.

FC4: util-linux-2.12p-9.11
FC3: util-linux-2.12a-24.5

Note You need to log in before you can comment on or make changes to this bug.